package tech.loedige.myapplication;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        Button toast_btn = (Button) findViewById(R.id.toast_btn);
        toast_btn.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View v) {
                //send toast
                Toast.makeText(MainActivity.this, "Toast", Toast.LENGTH_SHORT).show();
                //make intent
                Intent intent = new Intent(MainActivity.this,MainActivity2.class);
                // additional data intent
                EditText editText = (EditText) findViewById(R.id.text_editText);
                intent.putExtra("text",editText.getText().toString());
                //sent intent
                startActivityForResult(intent,100);
            }
        });
    }

    @Override
    protected void onActivityResult(int requestCode, int resultCode, Intent data) {
        if(data != null){
            String text = data.getExtras().getString("text");
            EditText editText = findViewById(R.id.text_editText);
            editText.setText(text);
        }
    }

    public void call911(View view){
        Intent intent = new Intent(Intent.ACTION_DIAL, Uri.parse("tel:911"));
        startActivity(intent);
    }
}