package tech.loedige.myapplication;

import androidx.annotation.NonNull;
import androidx.appcompat.app.AppCompatActivity;
import androidx.appcompat.view.ActionMode;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

public class MainActivity2 extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main2);

        Bundle extras = getIntent().getExtras();
        if (extras != null) {
            String text = extras.getString("text");
            TextView textView = (TextView) findViewById(R.id.tv_textView);
            textView.setText(text);
        }
    }

    public void makeToast(View view) {
        Toast.makeText(this, "Toast 2", Toast.LENGTH_SHORT).show();
        Intent intent = new Intent(this, MainActivity.class);
        startActivity(intent);
    }

    @Override
    public void finish() {
        Intent dataIntent = new Intent();
        EditText editText = (EditText) findViewById(R.id.text_editText);
        dataIntent.putExtra("text", editText.getText().toString());
        setResult(RESULT_OK, dataIntent);
        super.finish();
    }

    public void sendResult(View view) {
        finish();
    }
}
